Package ghidra.util.constraint

# Class PropertyConstraint

java.lang.Object
generic.constraint.Constraint<Program>
ghidra.util.constraint.ProgramConstraint
ghidra.util.constraint.PropertyConstraint

All Implemented Interfaces:
  `ExtensionPoint`

public class PropertyConstraint extends ProgramConstraint

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyConstraint()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getDescription()`
  Returns a description of this constraint (with its configuration data) to be used to journal the decision path that was taken.
  `int`
  `hashCode()`
  `boolean`
  `isSatisfied(Program program)`
  Returns true if the given object satisfies this constraint.
  `void`
  `loadConstraintData(ConstraintData data)`
  Initialized this constraint state.

  ### Methods inherited from class generic.constraint.Constraint

  `getName`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyConstraint

    public PropertyConstraint()

- ## Method Details

  - ### isSatisfied

    public boolean isSatisfied(Program program)
    Description copied from class: `Constraint`
    Returns true if the given object satisfies this constraint.
    Specified by:
      `isSatisfied` in class `Constraint<Program>`
    Parameters:
      `program` - the object to test this constraint on.
    Returns:
      true if the given object satisfies this constraint.

  - ### loadConstraintData

    public void loadConstraintData(ConstraintData data)
    Description copied from class: `Constraint`
    Initialized this constraint state. Attributes in the xml element with this constaints tag name will be extracted into the ConstraintData object for easy retrieval.
    Specified by:
      `loadConstraintData` in class `Constraint<Program>`
    Parameters:
      `data` - the ConstraintData object used to initialize this constraint.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in class `Constraint<Program>`

  - ### getDescription

    public String getDescription()
    Description copied from class: `Constraint`
    Returns a description of this constraint (with its configuration data) to be used to journal the decision path that was taken.
    Specified by:
      `getDescription` in class `Constraint<Program>`
    Returns:
      a description of this constraint with its configuration data.